<!-- 
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages). 

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages). 
-->
# Digital 3G - Common

Collection of code and styles for the digital 3G apps.

## Features

 - API calls
 - Theme Data
 - UI shorthands

## Getting started

Clone this repository and import this package inside the `pubspec.yaml` of your Flutter app like so
```yaml
digital_3g_common:
    path: ../common/
```

## Usage

Import one of the Dart files and start using

```dart
import 'package:digital_3g_common/ui.dart';
import 'package:digital_3g_common/backend.dart';
import 'package:digital_3g_common/theme.dart';
```

## Additional information

This package is released as part of digital_3g under https://git.uni-paderborn.de/asta/digital_3g.

Usage of this package inside apps other than those inside this project is permitted but not supported.